gsl::VectorView Class Reference

`#include <mia/core/gsl_vector.hh>`

Inheritance diagram for gsl::VectorView:
[legend]
Collaboration diagram for gsl::VectorView:
[legend]

## Public Member Functions

| VectorView (gsl_vector_view vv)
Public Member Functions inherited from gsl::Vector
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
bool | is_valid () const
bool | is_writable () const
| operator Vector::vector_const_pointer_type () const
| vector const pointer type operator to enable transparent calls to the GSL APL
| operator Vector::vector_pointer_type ()
| vector pointer type operator to enable transparent calls to the GSL APL
gsl_vector * | operator-> ()
const gsl_vector * | operator-> () const
Vector & | operator= (const Vector &other)
Vector & | operator= (Vector &&other)
reference | operator[] (size_t i)
value_type | operator[] (size_t i) const
void | print (std::ostream &os) const
size_type | size () const
| Vector ()
| Vector (const gsl_vector *holder)
| Vector (const Vector &other)
| Vector (gsl_vector *holder)
| Vector (size_type size, bool clear)
| Vector (size_type size, const double *init)
| Vector (Vector &&other)
| ~Vector ()
| Destructor.

## Additional Inherited Members

Public Types inherited from gsl::Vector
typedef const_vector_iterator | const_iterator
typedef const double & | const_reference
typedef vector_iterator | iterator
typedef double & | reference
typedef size_t | size_type
typedef double | value_type
typedef const gsl_vector * | vector_const_pointer_type
typedef gsl_vector * | vector_pointer_type
typedef gsl_vector | vector_type
Protected Member Functions inherited from gsl::Vector
void | reset_holder (const gsl_vector *holder)
void | reset_holder (gsl_vector *holder)

## Detailed Description

Wrapper for the gsl_vector_view providing transparent access to the underlying vector.

Definition at line 227 of file gsl_vector.hh.

## Constructor & Destructor Documentation

## VectorView()

gsl::VectorView::VectorView | ( | gsl_vector_view | vv | ) |

inline

Definition at line 230 of file gsl_vector.hh.

References gsl::Vector::reset_holder().

The documentation for this class was generated from the following file:

- gsl_vector.hh